# Ogre::RTShader::ShaderGenerator::SGMaterial Class Reference

Shader generator material wrapper class. More...

`#include <OgreShaderGenerator.h>`

Inheritance diagram for Ogre::RTShader::ShaderGenerator::SGMaterial:
[legend]

List of all members.

## Public Member Functions

| SGMaterial (const String &materialName)
| Class constructor.
const String & | getMaterialName () const
| Get the material name.
const SGTechniqueList & | getTechniqueList () const
| Get the const techniques list of this material.
SGTechniqueList & | getTechniqueList ()
| Get the techniques list of this material.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Protected Attributes

String | mName
SGTechniqueList | mTechniqueEntires

## Detailed Description

Shader generator material wrapper class.

Definition at line 485 of file OgreShaderGenerator.h.

## Constructor & Destructor Documentation

Ogre::RTShader::ShaderGenerator::SGMaterial::SGMaterial | ( | const String & | materialName | ) |

Class constructor.

Definition at line 490 of file OgreShaderGenerator.h.

## Member Function Documentation

const String& Ogre::RTShader::ShaderGenerator::SGMaterial::getMaterialName | ( |  | ) | const

Get the material name.

Definition at line 493 of file OgreShaderGenerator.h.

const SGTechniqueList& Ogre::RTShader::ShaderGenerator::SGMaterial::getTechniqueList | ( |  | ) | const

Get the const techniques list of this material.

Definition at line 496 of file OgreShaderGenerator.h.

SGTechniqueList& Ogre::RTShader::ShaderGenerator::SGMaterial::getTechniqueList | ( |  | ) |

Get the techniques list of this material.

Definition at line 499 of file OgreShaderGenerator.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

String Ogre::RTShader::ShaderGenerator::SGMaterial::mName`[protected]`

Definition at line 502 of file OgreShaderGenerator.h.

SGTechniqueList Ogre::RTShader::ShaderGenerator::SGMaterial::mTechniqueEntires`[protected]`

Definition at line 503 of file OgreShaderGenerator.h.

The documentation for this class was generated from the following file:

- OgreShaderGenerator.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:22